// This class was generated by the JAXRPC SI, do not edit.
// Contents subject to change without notice.
// JAX-RPC Standard Implementation (1.1.3, Build R2)
// Generated source version: 1.1.3

package info.textgrid.lab.dictionarysearch.client;

import com.sun.xml.rpc.encoding.DeserializationException;
import com.sun.xml.rpc.encoding.SOAPInstanceBuilder;
import com.sun.xml.rpc.util.exception.LocalizableExceptionAdapter;

public class Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder implements
		SOAPInstanceBuilder {
	private info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct _instance;
	private java.lang.String sourceID;
	private java.lang.String sourcefolder;
	private java.lang.String targetID;
	private java.lang.String targetfolder;
	private java.lang.String bName;
	private java.lang.String quality;
	private java.lang.String comment;
	private java.lang.String semanticRelation;
	private java.lang.String etymRelation;
	private java.lang.String SID;
	private java.lang.String approved;
	private java.lang.String deleted;
	private java.lang.String editable;
	private static final int mySOURCEID_INDEX = 0;
	private static final int mySOURCEFOLDER_INDEX = 1;
	private static final int myTARGETID_INDEX = 2;
	private static final int myTARGETFOLDER_INDEX = 3;
	private static final int myBNAME_INDEX = 4;
	private static final int myQUALITY_INDEX = 5;
	private static final int myCOMMENT_INDEX = 6;
	private static final int mySEMANTICRELATION_INDEX = 7;
	private static final int myETYMRELATION_INDEX = 8;
	private static final int mySID_INDEX = 9;
	private static final int myAPPROVED_INDEX = 10;
	private static final int myDELETED_INDEX = 11;
	private static final int myEDITABLE_INDEX = 12;

	public Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder() {
	}

	public void setSourceID(java.lang.String sourceID) {
		this.sourceID = sourceID;
	}

	public void setSourcefolder(java.lang.String sourcefolder) {
		this.sourcefolder = sourcefolder;
	}

	public void setTargetID(java.lang.String targetID) {
		this.targetID = targetID;
	}

	public void setTargetfolder(java.lang.String targetfolder) {
		this.targetfolder = targetfolder;
	}

	public void setBName(java.lang.String bName) {
		this.bName = bName;
	}

	public void setQuality(java.lang.String quality) {
		this.quality = quality;
	}

	public void setComment(java.lang.String comment) {
		this.comment = comment;
	}

	public void setSemanticRelation(java.lang.String semanticRelation) {
		this.semanticRelation = semanticRelation;
	}

	public void setEtymRelation(java.lang.String etymRelation) {
		this.etymRelation = etymRelation;
	}

	public void setSID(java.lang.String SID) {
		this.SID = SID;
	}

	public void setApproved(java.lang.String approved) {
		this.approved = approved;
	}

	public void setDeleted(java.lang.String deleted) {
		this.deleted = deleted;
	}

	public void setEditable(java.lang.String editable) {
		this.editable = editable;
	}

	@Override
	public int memberGateType(int memberIndex) {
		switch (memberIndex) {
		case mySOURCEID_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case mySOURCEFOLDER_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case myTARGETID_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case myTARGETFOLDER_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case myBNAME_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case myQUALITY_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case myCOMMENT_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case mySEMANTICRELATION_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case myETYMRELATION_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case mySID_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case myAPPROVED_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case myDELETED_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case myEDITABLE_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		default:
			throw new IllegalArgumentException();
		}
	}

	@Override
	public void construct() {
	}

	@Override
	public void setMember(int index, java.lang.Object memberValue) {
		try {
			switch (index) {
			case mySOURCEID_INDEX:
				_instance.setSourceID((java.lang.String) memberValue);
				break;
			case mySOURCEFOLDER_INDEX:
				_instance.setSourcefolder((java.lang.String) memberValue);
				break;
			case myTARGETID_INDEX:
				_instance.setTargetID((java.lang.String) memberValue);
				break;
			case myTARGETFOLDER_INDEX:
				_instance.setTargetfolder((java.lang.String) memberValue);
				break;
			case myBNAME_INDEX:
				_instance.setBName((java.lang.String) memberValue);
				break;
			case myQUALITY_INDEX:
				_instance.setQuality((java.lang.String) memberValue);
				break;
			case myCOMMENT_INDEX:
				_instance.setComment((java.lang.String) memberValue);
				break;
			case mySEMANTICRELATION_INDEX:
				_instance.setSemanticRelation((java.lang.String) memberValue);
				break;
			case myETYMRELATION_INDEX:
				_instance.setEtymRelation((java.lang.String) memberValue);
				break;
			case mySID_INDEX:
				_instance.setSID((java.lang.String) memberValue);
				break;
			case myAPPROVED_INDEX:
				_instance.setApproved((java.lang.String) memberValue);
				break;
			case myDELETED_INDEX:
				_instance.setDeleted((java.lang.String) memberValue);
				break;
			case myEDITABLE_INDEX:
				_instance.setEditable((java.lang.String) memberValue);
				break;
			default:
				throw new java.lang.IllegalArgumentException();
			}
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new DeserializationException(new LocalizableExceptionAdapter(
					e));
		}
	}

	@Override
	public void initialize() {
	}

	@Override
	public void setInstance(java.lang.Object instance) {
		_instance = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct) instance;
	}

	@Override
	public java.lang.Object getInstance() {
		return _instance;
	}
}
